petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreateRigidBody

for the default global section, create rigid body modes from coordinates

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateRigidBody(DM dm, MatNullSpace *sp)

Collective on DM

### Input Arguments

dm -the DM

### Output Argument

sp -the null space

Note: This is necessary to take account of Dirichlet conditions on the displacements

### See Also

MatNullSpaceCreate()

Level:advanced
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages